Logistics
Create Delivery
POST
/
api
/
v1
/
logistics
/
deliveries
Create Delivery
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/logistics/deliveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"direction": "<string>",
"deliveryType": "<string>",
"status": "<string>",
"carrierName": "<string>",
"carrierSupplierId": "<string>",
"trackingNumber": "<string>",
"containerNumber": "<string>",
"vehicleNumber": "<string>",
"originLocationId": "<string>",
"destinationLocationId": "<string>",
"plannedShipDate": "<string>",
"actualShipDate": "<string>",
"plannedArrivalDate": "<string>",
"actualArrivalDate": "<string>",
"shippingTerms": "<string>",
"packagesCount": 123,
"weightEst": 123,
"weightActual": 123,
"volumeCbm": 123,
"costEst": 123,
"costActual": 123,
"currency": "<string>",
"notes": "<string>",
"lineItems": [
{
"id": "<string>",
"destinationLocationId": "<string>",
"sequence": 123,
"shipmentIds": [
"<string>"
],
"notes": "<string>",
"status": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/logistics/deliveries"
payload = {
"documentId": "<string>",
"direction": "<string>",
"deliveryType": "<string>",
"status": "<string>",
"carrierName": "<string>",
"carrierSupplierId": "<string>",
"trackingNumber": "<string>",
"containerNumber": "<string>",
"vehicleNumber": "<string>",
"originLocationId": "<string>",
"destinationLocationId": "<string>",
"plannedShipDate": "<string>",
"actualShipDate": "<string>",
"plannedArrivalDate": "<string>",
"actualArrivalDate": "<string>",
"shippingTerms": "<string>",
"packagesCount": 123,
"weightEst": 123,
"weightActual": 123,
"volumeCbm": 123,
"costEst": 123,
"costActual": 123,
"currency": "<string>",
"notes": "<string>",
"lineItems": [
{
"id": "<string>",
"destinationLocationId": "<string>",
"sequence": 123,
"shipmentIds": ["<string>"],
"notes": "<string>",
"status": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
direction: '<string>',
deliveryType: '<string>',
status: '<string>',
carrierName: '<string>',
carrierSupplierId: '<string>',
trackingNumber: '<string>',
containerNumber: '<string>',
vehicleNumber: '<string>',
originLocationId: '<string>',
destinationLocationId: '<string>',
plannedShipDate: '<string>',
actualShipDate: '<string>',
plannedArrivalDate: '<string>',
actualArrivalDate: '<string>',
shippingTerms: '<string>',
packagesCount: 123,
weightEst: 123,
weightActual: 123,
volumeCbm: 123,
costEst: 123,
costActual: 123,
currency: '<string>',
notes: '<string>',
lineItems: [
{
id: '<string>',
destinationLocationId: '<string>',
sequence: 123,
shipmentIds: ['<string>'],
notes: '<string>',
status: '<string>'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/logistics/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"direction": "<string>",
"deliveryType": "<string>",
"status": "<string>",
"carrierName": "<string>",
"carrierSupplierId": "<string>",
"trackingNumber": "<string>",
"containerNumber": "<string>",
"vehicleNumber": "<string>",
"originLocationId": "<string>",
"originLocationName": "<string>",
"destinationLocationId": "<string>",
"destinationLocationName": "<string>",
"plannedShipDate": "<string>",
"actualShipDate": "<string>",
"plannedArrivalDate": "<string>",
"actualArrivalDate": "<string>",
"shippingTerms": "<string>",
"packagesCount": 123,
"weightEst": 123,
"weightActual": 123,
"volumeCbm": 123,
"costEst": 123,
"costActual": 123,
"currency": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"lineItemsCount": 123,
"lineItems": [
{
"id": "<string>",
"deliveryId": "<string>",
"status": "<string>",
"destinationLocationId": "<string>",
"sequence": 0,
"shipmentIds": [],
"notes": "<string>",
"arrivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"stops": [
{
"id": "<string>",
"stopOrder": 123,
"name": "<string>",
"stopType": "<string>",
"state": "<string>",
"subLabel": "<string>",
"plannedAt": "<string>",
"actualAt": "<string>",
"notes": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Delivery
